--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Returns a pre existing instance of a model from the record map
- !ruby/struct:SM::Flow::P 
  body: "@param name [Symbol] name of the fauxture to pick"
- !ruby/struct:SM::Flow::P 
  body: "@returns [DataMapper::Resource] existing instance of a model from the record map @raises DataMapper::Sweatshop::NoFixtureExist when requested fixture does not exist in the record map"
- !ruby/struct:SM::Flow::P 
  body: "@api public"
full_name: DataMapper::Model#pick
is_singleton: false
name: pick
params: (name = default_fauxture_name)
visibility: public
